Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.monitors
Class SimPerfMonitor

    java.lang.Object
      avrora.util.help.HelpCategory
          avrora.monitors.MonitorFactory
              avrora.monitors.SimPerfMonitor

All Implemented Interfaces:
  HelpItem

public class SimPerfMonitor
extends MonitorFactory

This monitor measures the instantaneous performance of the simulator by inserting events into the queue at regular intervals and recording the elapsed (wall clock) time used for simulation. NOTE: This monitor is only meant for a single node simulation!

Nested Class Summary
`class` | `SimPerfMonitor.Monitor`

Field Summary
`Option.Double` | `FREQUENCY`

Fields inherited from class avrora.monitors.MonitorFactory
`options`

Fields inherited from class avrora.util.help.HelpCategory
`COMPARATOR, help, name`

Constructor Summary
`SimPerfMonitor()` The constructor for the `ProfileMonitor` class creates a factory that is capable of producing profile monitors for each simulator passed.

Method Summary
`Monitor` | `newMonitor(Simulator s)` The `newMonitor()` method creates a new monitor for the given simulator that is capable of collecting performance information as the program executes.

Methods inherited from class avrora.monitors.MonitorFactory
`processOptions`

Methods inherited from class avrora.util.help.HelpCategory
`addCommandExample, addListSection, addOptionSection, addSection, addSubcategorySection, getHelp, getName, printHelp, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FREQUENCY

    public final Option.Double FREQUENCY

Constructor Detail

### SimPerfMonitor

    public SimPerfMonitor()

  The constructor for the `ProfileMonitor` class creates a factory that is capable of producing profile monitors for each simulator passed.

Method Detail

### newMonitor

    public Monitor newMonitor(Simulator s)

  The `newMonitor()` method creates a new monitor for the given simulator that is capable of collecting performance information as the program executes.

  Specified by:
    `newMonitor` in class `MonitorFactory`
  Parameters:
    `s` - the simulator to create the monitor for
  Returns:
    an instance of the `Monitor` interface that tracks performance information from the program

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD